FilterRow
1D Linear Filter

Apply convolution filter with user specified 1D row of weights. More...

## Functions

NppStatus | nppiFilterRow_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 8-bit unsigned single-channel 1D row convolution. More...
NppStatus | nppiFilterRow_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 8-bit unsigned three-channel 1D row convolution. More...
NppStatus | nppiFilterRow_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 8-bit unsigned four-channel 1D row convolution. More...
NppStatus | nppiFilterRow_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 8-bit unsigned four-channel 1D row convolution ignoring alpha-channel. More...
NppStatus | nppiFilterRow_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit unsigned single-channel 1D row convolution. More...
NppStatus | nppiFilterRow_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit unsigned three-channel 1D row convolution. More...
NppStatus | nppiFilterRow_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit unsigned four-channel 1D row convolution. More...
NppStatus | nppiFilterRow_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit unsigned four-channel 1D row convolution ignoring alpha-channel. More...
NppStatus | nppiFilterRow_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit single-channel 1D row convolution. More...
NppStatus | nppiFilterRow_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit three-channel 1D row convolution. More...
NppStatus | nppiFilterRow_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit four-channel 1D row convolution. More...
NppStatus | nppiFilterRow_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32s *pKernel, Npp32s nMaskSize, Npp32s nAnchor, Npp32s nDivisor)
| 16-bit four-channel 1D row convolution ignoring alpha-channel. More...
NppStatus | nppiFilterRow_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
| 32-bit float single-channel 1D row convolution. More...
NppStatus | nppiFilterRow_32f_C3R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
| 32-bit float three-channel 1D row convolution. More...
NppStatus | nppiFilterRow_32f_C4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
| 32-bit float four-channel 1D row convolution. More...
NppStatus | nppiFilterRow_32f_AC4R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
| 32-bit float four-channel 1D row convolution ignoring alpha-channel. More...
NppStatus | nppiFilterRow_64f_C1R (const Npp64f *pSrc, Npp32s nSrcStep, Npp64f *pDst, Npp32s nDstStep, NppiSize oROI, const Npp64f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
| 64-bit float single-channel 1D row convolution. More...

## Detailed Description

Apply convolution filter with user specified 1D row of weights.

Result pixel is equal to the sum of the products between the kernel coefficients (pKernel array) and corresponding neighboring row pixel values in the source image defined by nKernelDim and nAnchorX, divided by nDivisor.

### Common parameters for nppiFilterRow functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oROI | Region-of-Interest (ROI).
  pKernel | Pointer to the start address of the kernel coefficient array. Coefficients are expected to be stored in reverse order.
  nMaskSize | Length of the linear kernel array.
  nAnchor | X offset of the kernel origin frame of reference relative to the source pixel.
  nDivisor | The factor by which the convolved summation from the Filter operation should be divided. If equal to the sum of coefficients, this will keep the maximum result value within full scale.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterRow_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit four-channel 1D row convolution ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit single-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit three-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit four-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit unsigned four-channel 1D row convolution ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit unsigned single-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit unsigned three-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

16-bit unsigned four-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_32f_AC4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

32-bit float four-channel 1D row convolution ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

32-bit float single-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_32f_C3R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

32-bit float three-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_32f_C4R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

32-bit float four-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_64f_C1R | ( | const Npp64f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp64f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp64f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

64-bit float single-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

8-bit unsigned four-channel 1D row convolution ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

8-bit unsigned single-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

8-bit unsigned three-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

NppStatus nppiFilterRow_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32s * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | Npp32s | nDivisor
| ) |  |

8-bit unsigned four-channel 1D row convolution.

For common parameter descriptions, see Common parameters for nppiFilterRow functions.

Copyright © 2009-2017 NVIDIA Corporation